package com.tzy.common.exception;

/**
 * 业务异常
 * 
 * @author zheng
 */
public class PayException extends RuntimeException
{
    private static final long serialVersionUID = 1L;

    protected final String message;
    protected int code=0;

    public PayException(String message)
    {
        this.message = message;
    }

    public PayException(int code, String message) {
        this.message = message;
        this.code = code;
    }

    public PayException(String message, Throwable e)
    {
        super(message, e);
        this.message = message;
    }

    @Override
    public String getMessage()
    {
        return message;
    }

    public int getCode()
    {
        return this.code;
    }

}
